package com.zt.plat.module.base.service.unitQuantity;

import java.util.*;
import jakarta.validation.*;
import com.zt.plat.module.base.controller.admin.unitQuantity.vo.*;
import com.zt.plat.module.base.dal.dataobject.unitQuantity.UnitQuantityDO;
import com.zt.plat.framework.common.pojo.PageResult;

/**
 * 计量单位量 Service 接口
 *
 * @author 后台管理-1
 */
public interface UnitQuantityService {

    /**
     * 创建计量单位量
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    UnitQuantityRespVO createUnitQuantity(@Valid UnitQuantitySaveReqVO createReqVO);

    /**
     * 更新计量单位量
     *
     * @param updateReqVO 更新信息
     */
    void updateUnitQuantity(@Valid UnitQuantitySaveReqVO updateReqVO);

    /**
     * 删除计量单位量
     *
     * @param id 编号
     */
    void deleteUnitQuantity(Long id);

    /**
    * 批量删除计量单位量
    *
    * @param ids 编号
    */
    void deleteUnitQuantityListByIds(List<Long> ids);

    /**
     * 获得计量单位量
     *
     * @param id 编号
     * @return 计量单位量
     */
    UnitQuantityDO getUnitQuantity(Long id);

    /**
     * 获得计量单位量分页
     *
     * @param pageReqVO 分页查询
     * @return 计量单位量分页
     */
    PageResult<UnitQuantityDO> getUnitQuantityPage(UnitQuantityPageReqVO pageReqVO);

    /**
     * 获取量纲及单位树
     *
     * @return 量纲及单位树列表
     */
    List<UnitQuantityTreeRespVO> getUnitQuantityTree();

}